BizKitHub
DocsAPI ReferenceIssue/bff/issue/update
postIssueAdmin BFF

/bff/issue/update

Updates an existing issue. Only provided fields are changed.

IssuepostBffIssueUpdate

Parameters

JSON body

Request body

application/json
issueKeystringRequired

Issue key to update.

ExamplePROJ-123
subjectstringOptional

New subject.

ExampleUpdated issue title
descriptionstringOptional

New description.

internalDescriptionstringOptional

New internal description.

prioritynumberOptional

New priority (1-5).

Range: 15
Example3
statusIdnumberOptional

New status ID.

Example2
issueTypeCodestringOptional

New issue type slug (see /bff/issue/type/list).

Examplesbugsub_task
assigneeContactIdnumberOptional

New assignee contact ID (0 to unassign).

Example10
reporterContactIdnumberOptional

New reporter (submitter) contact ID.

Example7
dueDatestringOptionaldate-time

Due date (ISO timestamp).

Example2026-06-01T00:00:00Z
testUrlstringOptional

Test URL.

Examplehttps://test.example.com/feature
documentationUrlstringOptional

Documentation URL.

Examplehttps://docs.example.com/guide

Response schema

1 status code documented

200Success
successbooleanRequired

Whether the issue was updated successfully.

Response example

application/json
{
  "success": false
}

Request example

POST /bff/issue/update

post
curl -X POST "https://api.bizkithub.com/bff/issue/update" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "issueKey": "PROJ-123",
  "subject": "Updated issue title",
  "description": "example_description",
  "internalDescription": "example_internalDescription",
  "priority": 3,
  "statusId": 2,
  "issueTypeCode": "bug",
  "assigneeContactId": 10,
  "reporterContactId": 7,
  "dueDate": "2026-06-01T00:00:00Z",
  "testUrl": "https://test.example.com/feature",
  "documentationUrl": "https://docs.example.com/guide"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key